Subject: Re: bug#25296: fully functional desktop installation

From: [email-masked] (Ludovic Courtès)
Date: Wed, 17 Jan 2018 09:48:13 +0100

Chris Marusich <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Danny Milosavljevic <[email-masked]> skribis:
>>
>>> I'd vote for adding libreoffice and icecat to desktop.tmpl and not to gnome (since they are not part of the GNOME project).
>>
>> OK, why not.  There’s still the issue that it will make download times
>> and disk size requirements longer (a problem we should fix, but this
>> won’t happen overnight.)
>
> While I think it's fine to include this in the example desktop
> configuration file, I don't see why we couldn't have a few example
> configuration files for various use cases.  One of those use cases could
> mimic what other distros normally include, like LibreOffice etc, and one
> of those could be a more minimal desktop environment.  Does it add a
> maintenance burden to have multiple example desktop configuration files?

Not much, though we’d have to make sure they still work.

The only difference in this case would be the ‘packages’ field, which, I
was hoping, didn’t warrant a separate example.

Ludo’.